Subject: Re: [PATCH] file-systems: Improve error handling in the iso9660 case - fixes boot problem.

From: Danny Milosavljevic <[email-masked]>
Date: Sat, 3 Jun 2017 20:25:00 +0200

Hi,

sorry for the slip-up.

The error handling in 203a9455c4695152fc5d0085bffeead9ce3216c2 was improved for the case when there's no iso9660 primary volume descriptor anywhere and no terminator either.  In that case the CD is broken.

But if there's no iso9660 volume descriptor AT ALL (primary or not) it's not a fatal error for guix gnu/build/file-systems.scm - it just means we picked the wrong filesystem type and should try the next one.  This case was not handled correctly and this patch addresses this.

I'd like help with testing this patch.  If someone with a fast computer could apply this patch, then run make check-system, and then, if everything worked, run guix system reconfigure /etc/config.scm , that would be great (my computer is building guix master for the last 3 days and probably needs 4 more - so no idea whether the patch works).

@Marius: I don't understand why reverting 203a9455c4695152fc5d0085bffeead9ce3216c2 didn't fix it.  It should have.  (I can't try it myself because I'm in forced-system-update purgatory - argh).